Subject: RE: bug#2058: 23.0.60; bewildering behavior when visit new file throw.pdf

From: "Drew Adams" <[email-masked]>
Date: Tue, 27 Jan 2009 08:20:07 -0800

Thanks, Tassilo. I can't check it, but I'm sure it's much better.

Thx - Drew 

> Hi Alan & Drew,
> 
> I've made some changes:
> 
>   - I enhanced the docstring to mention what doc-view actually is.
> 
>   - If the file doesn't exist or is empty, then we fallback to ps-mode
>     or fundamental-mode, depending on the file name extension
> 
>   - If the images cannot be displayed (no png support, missing
>     conversion utility, tty frame), then the message is more explicit.
>     Now it says to which mode C-c C-c would switch, the C-c 
> C-t message
>     was enhanced according to Alan's suggestion and it mentions `k'
>     which kills the buffer and stops a possibly running conversion.
> 
> Please check if those changes DTRT, or if something is still 
> too crappy to be released with 23.1.